"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var LoadingProvider_1 = require("../LoadingProvider");
function PHXLoadingIndicator() {
    var progress = (0, LoadingProvider_1.useLoading)().progress;
    return (react_1["default"].createElement(react_1["default"].Fragment, null, progress > 0 && (react_1["default"].createElement("div", { className: "fixed top-0 left-0 transition-all  h-1  z-[9999]  bg-gray-400 animate-pulse", style: { width: "".concat(progress, "%") } }))));
}
exports["default"] = PHXLoadingIndicator;
//# sourceMappingURL=loading-indicator.js.map