import React from 'react';
import { ComplexAction } from '../types';
export interface MainTableProps {
    paginationData: any;
    sortData: any;
    slectedTitle?: string | any;
    selectedBtn?: ComplexAction[];
    pathname?: any;
    list: {
        keyResult: string;
        query: string;
    } | any;
    thHeader: Array<any>;
    thBody: Array<any>;
    thBodyComponent?: object;
    thBodyFilter?(): any;
    editActionLink?: string;
    search: {
        enable: boolean;
        keyResult: string;
        query: string;
    } | any;
    selectedAllPeople?: {
        enable: boolean;
        title: string;
    } | any;
    actionName?: any;
    sort?: {
        enable?: boolean;
        defaultActive?: string;
        sortList?: Array<any>;
    } | any;
    clickRow?: boolean;
    clickType?: 'edit' | 'custom';
    router: any;
    setAggregate?: any;
    sortSelectData?: any;
    selectArray?: any;
    pagination?: any;
    routerCondition?: {
        link: string;
        conditionName: string;
        conditionArray: Array<any>;
    } | any;
    onClick?(rowData: any): any;
    thHeaderComponent?: any;
    hidePagination?: boolean;
    rowNumber?: number;
    onChange?: any;
    typeLoading?: {
        type: 'page-with-table' | 'page-table-with-report' | 'table' | 'page-table-report-filter' | 'page-table-filter';
        filterQty?: number;
        reportQty?: number;
    };
    setHeaderLoading?: any;
    directDetail?: {
        enable: boolean;
        onClick?(): any;
    } | any;
    filterLoading?: boolean;
    fixedTableLayout?: boolean;
    numericalOrder?: {
        enable: boolean;
        title: string | any;
    };
    isQueryDataCenter?: boolean;
}
export declare function PHXTableV3({ actionName, clickRow, clickType, editActionLink, selectedBtn, slectedTitle, hidePagination, list, numericalOrder, onChange, onClick, pagination, paginationData, router, routerCondition, rowNumber, search, selectArray, selectedAllPeople, setAggregate, setHeaderLoading, sort, sortData, sortSelectData, thBody, thBodyComponent, thBodyFilter, thHeader, thHeaderComponent, typeLoading, directDetail, filterLoading, fixedTableLayout, isQueryDataCenter, }: Readonly<MainTableProps>): React.JSX.Element;
