import React from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
import { TimeProps } from './component/Time';
export interface TimePickerProps extends TimeProps {
    className?: string;
    label?: string;
    disabled?: boolean;
    onChange?(value: any): void;
    defaultValue?: string;
    register?: UseFormRegisterReturn;
    origin?: 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
    id?: string;
    error?: boolean;
    errorType?: 'required-field';
}
export declare function PHXTimePicker({ className, defaultValue, disabled, error, errorType, id, origin, label, onChange, register, step, }: TimePickerProps): React.JSX.Element;
