import React, { InputHTMLAttributes } from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
export interface ActiveData {
    activeType: 'default' | 'danger';
    isActive: boolean;
}
export interface CheckboxProps extends InputHTMLAttributes<HTMLInputElement> {
    className?: string;
    children?: any;
    label?: string;
    title?: string;
    helpText?: string;
    expanded?: boolean;
    register?: UseFormRegisterReturn;
    onChange?: any;
    error?: boolean;
    errorType?: 'required-field' | 'duplicate-field';
    id?: string;
    checkType?: 'default' | 'with-border';
    disabled?: boolean;
    activeData?: ActiveData;
}
export declare const PHXCheckbox: React.FC<CheckboxProps>;
