import React from 'react';
export interface CalendarProps {
    defaultDate?: number;
    disabledDate?: Array<string>;
    max?: string;
    min?: string;
}
interface Props extends CalendarProps {
    inputValue?: string;
    handleResult(startDate: number | Date, endDate: number | Date): void;
    handleCancel(): void;
}
export default function Calendar({ defaultDate, disabledDate, handleCancel, handleResult, inputValue, max, min, }: Props): React.JSX.Element;
export {};
