import React from 'react';
import EmptySvg from './EmptySvg';
export function PHXEmptyRecord(_a) {
    var className = _a.className, border = _a.border, _b = _a.type, type = _b === void 0 ? 'default' : _b;
    var emptyTitle = 'Dữ liệu đang trống';
    return (React.createElement("div", { className: className },
        type === 'default' && (React.createElement("div", { className: "bg-white  sm:rounded-lg ".concat(border ? 'border shadow' : '') },
            React.createElement("div", { className: 'flex flex-col' },
                React.createElement("div", { className: 'min-w-full px-6 py-2 pb-16 pt-16 align-middle md:px-6 md:pr-0 lg:px-8' },
                    React.createElement("div", { className: 'px-4 pb-14' },
                        React.createElement("div", { className: 'text-center' },
                            React.createElement(EmptySvg, null),
                            React.createElement("span", { className: 'text-sm font-normal mt-4 text-gray-500' }, emptyTitle))))))),
        type === 'small' && (React.createElement("div", { className: "bg-white  sm:rounded-lg ".concat(border ? 'border shadow' : '') },
            React.createElement("div", { className: 'flex flex-col' },
                React.createElement("div", { className: 'min-w-full px-6 py-2 pb-10 pt-10 align-middle md:px-6 md:pr-0 lg:px-8' },
                    React.createElement("div", { className: 'px-4' },
                        React.createElement("div", { className: 'text-center' },
                            React.createElement(EmptySvg, null),
                            React.createElement("span", { className: 'text-xs font-normal text-gray-500' }, emptyTitle))))))),
        type === 'micro' && (React.createElement("div", { className: "bg-white  sm:rounded-lg ".concat(border ? 'border shadow' : '') },
            React.createElement("div", { className: 'flex flex-col' },
                React.createElement("div", { className: 'min-w-full px-6 py-2 pb-8 pt-8 align-middle md:px-6 md:pr-0 lg:px-8' },
                    React.createElement("div", { className: 'px-4 pb-5' },
                        React.createElement("div", { className: 'text-center' },
                            React.createElement(EmptySvg, null),
                            React.createElement("span", { className: 'text-xs font-normal text-gray-500' }, emptyTitle)))))))));
}
//# sourceMappingURL=EmptyRecord.js.map