import { __assign } from "tslib";
/* eslint-disable @typescript-eslint/ban-types */
import React from 'react';
import { PHXInput } from '../Input/Input';
import { classNames } from '../types';
import { PHXTextarea } from '../Textarea';
export function PHXFormLayout(_a) {
    var className = _a.className, list = _a.list, numberOfInputInRow = _a.numberOfInputInRow, textArea = _a.textArea, row = _a.row;
    var numberOfInput = classNames(numberOfInputInRow === 1 && 'md:grid-cols-1', numberOfInputInRow === 2 && 'md:grid-cols-2', numberOfInputInRow === 3 && 'md:grid-cols-3', numberOfInputInRow === 4 && 'md:grid-cols-4', numberOfInputInRow === 5 && 'md:grid-cols-5');
    return (React.createElement("div", { className: className },
        React.createElement("div", { className: "grid gap-y-3 gap-x-5 ".concat(numberOfInput) }, list.map(function (item, index) { return (React.createElement(React.Fragment, null, textArea ? (React.createElement("div", { key: index },
            React.createElement(PHXTextarea, __assign({ rows: row, key: index, label: item.label, register: item.register, helpText: item.helpText, error: item.error, errorMessageCustom: item.errorMessageCustom, errorType: item.errorType }, item.rest)))) : (React.createElement("div", { key: index },
            React.createElement(PHXInput, __assign({ key: index, label: item.label, register: item.register, helpText: item.helpText, error: item.error, errorMessageCustom: item.errorMessageCustom, errorType: item.errorType }, item.rest)))))); }))));
}
//# sourceMappingURL=FormLayout.js.map