import React from 'react';
import { classNames } from '../types';
export function PHXHorizontalStack(_a) {
    var justify = _a.justify, items = _a.items, gapX = _a.gapX, gapY = _a.gapY, children = _a.children;
    var customHorizon = classNames(justify === 'start' && 'justify-start', justify === 'end' && 'justify-end', justify === 'center' && 'justify-center', justify === 'around' && 'justify-around', justify === 'between' && 'justify-between', justify === 'evenly' && 'justify-evenly', justify === 'stretch' && 'justify-stretch', items === 'start' && 'items-start', items === 'end' && 'items-end', items === 'center' && 'items-center', items === 'baseline' && 'items-baseline', items === 'stretch' && 'items-stretch');
    return (React.createElement("div", { className: "flex ".concat(gapX ? 'gap-x-' + gapX : null, " ").concat(gapY ? 'gap-y-' + gapY : null, " ").concat(customHorizon) }, children));
}
//# sourceMappingURL=HorizontalStack.js.map