import React from 'react';
import { PHXCheckbox } from '../../Checkbox';
import { PHXButton } from '../../Button';
function BulkAction(_a) {
    var dataSelected = _a.dataSelected, list = _a.list, setDataSelected = _a.setDataSelected, onBulkActions = _a.onBulkActions, setFilteredItems = _a.setFilteredItems, content = _a.content;
    var handleSelectAll = function (e) {
        e.target.checked ? setDataSelected(list) : setDataSelected([]);
        setFilteredItems(list);
    };
    var handleBulkActions = function () {
        if (onBulkActions) {
            onBulkActions(dataSelected);
        }
    };
    return (React.createElement("label", { className: 'flex flex-1 items-center gap-x-1.5 text-xs hover:cursor-pointer' },
        React.createElement(PHXCheckbox, { checked: dataSelected.length === (list === null || list === void 0 ? void 0 : list.length), type: list && dataSelected.length === (list === null || list === void 0 ? void 0 : list.length) ? 'default' : 'not-all', onChange: function (e) { return handleSelectAll(e); } }),
        dataSelected.length === 0 ? (React.createElement("p", { className: 'leading-7' }, "Ch\u1ECDn danh s\u00E1ch")) : (React.createElement(PHXButton, { secondary: true, size: 'micro', onClick: handleBulkActions }, content))));
}
export default BulkAction;
//# sourceMappingURL=bulkAction.js.map