import React from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
type TData = {
    id: any;
    value: string;
    [key: string]: any;
};
type TInputSelectSearch = {
    disabled?: boolean;
    data: Array<TData>;
    label: string;
    defaultValue?: TData;
    onChange(value: any): void;
    register?: UseFormRegisterReturn;
    placeholder?: string;
    error?: boolean;
    errorMessageCustom?: string;
    errorType?: 'required-field' | 'validate-input-field' | 'duplicate-field' | 'validate-phone-number' | 'validate-input-email' | 'custom-message';
};
export declare const PHXSelectBox: (props: TInputSelectSearch) => React.JSX.Element;
export {};
