"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Section = function (_a) {
    var title = _a.title, subTitle = _a.subTitle, children = _a.children;
    var titleMarker = (title || subTitle) && (react_1["default"].createElement("div", { className: 'mb-5' },
        title && react_1["default"].createElement("h3", { className: 'text-base font-semibold leading-6 text-gray-900' }, title),
        subTitle && title && react_1["default"].createElement("p", { className: 'mt-1 text-sm text-slate-500' }, subTitle),
        subTitle && !title && react_1["default"].createElement("p", { className: 'text-sm text-slate-500' }, subTitle)));
    return (react_1["default"].createElement("div", { className: 'py-5' },
        titleMarker,
        children));
};
exports["default"] = Section;
//# sourceMappingURL=Section.js.map