"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var read_env_config_1 = require("../../read-env-config");
function GetUserInfor(queryAction, idUser, token) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var uri, linkApi, bearToken, data, error_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    uri = (0, read_env_config_1.getEnv)('NEXT_PUBLIC_API', process.env.NEXT_PUBLIC_API);
                    linkApi = uri + '/graphql/rd/v1/graphql';
                    bearToken = "Bearer ".concat(token);
                    return [4 /*yield*/, queryAction({
                            context: {
                                linkApi: linkApi,
                                headers: {
                                    'Content-Type': 'application/json',
                                    Authorization: bearToken,
                                    'authorization-id': idUser
                                }
                            },
                            variables: {
                                userId: idUser
                            }
                        })];
                case 1:
                    data = (_a.sent()).data;
                    return [2 /*return*/, data];
                case 2:
                    error_1 = _a.sent();
                    console.log(error_1);
                    return [2 /*return*/, false];
                case 3: return [2 /*return*/];
            }
        });
    });
}
exports["default"] = GetUserInfor;
//# sourceMappingURL=getUserInfor.js.map