"use strict";
exports.__esModule = true;
exports.PHXLogUserActivityV3 = void 0;
var tslib_1 = require("tslib");
var mutation_1 = require("../../query/userActivity/mutation");
var getLoginInfo_1 = tslib_1.__importDefault(require("./getLoginInfo"));
var clientMutationV3_1 = tslib_1.__importDefault(require("./clientMutationV3"));
function generatePayload(data, user_id, school_id) {
    return tslib_1.__assign(tslib_1.__assign({}, data), { school_id: school_id, user_id: user_id });
}
var PHXLogUserActivityV3 = function (data) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var schoolInfo, userId, schoolId, payload, err_1;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                schoolInfo = (0, getLoginInfo_1["default"])();
                userId = schoolInfo.id;
                schoolId = schoolInfo === null || schoolInfo === void 0 ? void 0 : schoolInfo.school_id;
                payload = generatePayload(data, userId, schoolId);
                return [4 /*yield*/, (0, clientMutationV3_1["default"])({ query: mutation_1.INSERT_USER_ACTIVITY_MUTATION_V3, variables: payload })];
            case 1: return [2 /*return*/, _a.sent()];
            case 2:
                err_1 = _a.sent();
                console.log(err_1);
                return [2 /*return*/, []];
            case 3: return [2 /*return*/];
        }
    });
}); };
exports.PHXLogUserActivityV3 = PHXLogUserActivityV3;
//# sourceMappingURL=logUserActivityV3.js.map