"use strict";
exports.__esModule = true;
exports.PHXSpinner = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var types_1 = require("../types");
var PHXSpinner = function (_a) {
    var _b = _a.color, color = _b === void 0 ? 'indigo' : _b, _c = _a.className, className = _c === void 0 ? 'w-5 h-5' : _c;
    var colorMaker = (0, types_1.classNames)(color === 'indigo' && 'text-indigo-600', color === 'gray' && 'text-gray-600');
    return (react_1["default"].createElement("div", { className: "animate-spin inline-block ".concat(className, " border-[3px] border-current border-t-transparent ").concat(colorMaker, " rounded-full"), role: 'status', "aria-label": 'loading1' }));
};
exports.PHXSpinner = PHXSpinner;
//# sourceMappingURL=Spinner.js.map