"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Checkbox_1 = require("../../Checkbox");
var Button_1 = require("../../Button");
function BulkAction(_a) {
    var dataSelected = _a.dataSelected, list = _a.list, setDataSelected = _a.setDataSelected, onBulkActions = _a.onBulkActions, setFilteredItems = _a.setFilteredItems, content = _a.content;
    var handleSelectAll = function (e) {
        e.target.checked ? setDataSelected(list) : setDataSelected([]);
        setFilteredItems(list);
    };
    var handleBulkActions = function () {
        if (onBulkActions) {
            onBulkActions(dataSelected);
        }
    };
    return (react_1["default"].createElement("label", { className: 'flex flex-1 items-center gap-x-1.5 text-xs hover:cursor-pointer' },
        react_1["default"].createElement(Checkbox_1.PHXCheckbox, { checked: dataSelected.length === (list === null || list === void 0 ? void 0 : list.length), type: list && dataSelected.length === (list === null || list === void 0 ? void 0 : list.length) ? 'default' : 'not-all', onChange: function (e) { return handleSelectAll(e); } }),
        dataSelected.length === 0 ? (react_1["default"].createElement("p", { className: 'leading-7' }, "Ch\u1ECDn danh s\u00E1ch")) : (react_1["default"].createElement(Button_1.PHXButton, { secondary: true, size: 'micro', onClick: handleBulkActions }, content))));
}
exports["default"] = BulkAction;
//# sourceMappingURL=bulkAction.js.map