import { UseFormRegisterReturn } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { FooterBarProps } from '../FormWrap';
export interface StepProps {
    className?: string;
    register?: UseFormRegisterReturn;
    steps?: Array<{
        step: number;
        title: string;
        status?: 'current' | 'complete' | 'upcoming';
        component: ReactNode;
    }>;
    nextLabel: string;
    backLabel: string;
    formMode: 'addNew' | 'edit' | 'readOnly';
    onSubmit: any;
    size?: FooterBarProps['size'];
    title: FooterBarProps['title'];
    triggerStep?: Array<{
        step: number;
        onNext?: any;
        onBack?: any;
        isPass: boolean;
    }>;
}
export declare const PHXStep: React.FC<StepProps>;
