"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var utils_1 = require("../utils");
function Time(_a) {
    var _b = _a.step, step = _b === void 0 ? 30 : _b, onChangeTime = _a.onChangeTime;
    var timeSteps = (0, utils_1.generateTimeSteps)(step);
    var handleChange = function (time) {
        if (onChangeTime) {
            onChangeTime(time);
        }
    };
    return (react_1["default"].createElement("div", null,
        react_1["default"].createElement("div", { className: 'bg-white py-2 px-3 rounded-lg shadow-lg w-full max-w-[20rem] h-[17rem] overflow-y-auto border border-gray-300 border-b-gray-400' }, timeSteps.map(function (item) { return (react_1["default"].createElement("p", { onClick: function () { return handleChange(item); }, className: 'text-xs p-2 rounded-lg hover:bg-gray-100 cursor-pointer', key: item }, item)); }))));
}
exports["default"] = Time;
//# sourceMappingURL=Time.js.map