"use strict";
exports.__esModule = true;
exports.generateTimeSteps = void 0;
function generateTimeSteps(step) {
    var steps = [];
    for (var hour = 0; hour < 24; hour++) {
        for (var minute = 0; minute < 60; minute += step) {
            var formattedHour = hour.toString().padStart(2, '0');
            var formattedMinute = minute.toString().padStart(2, '0');
            steps.push("".concat(formattedHour, ":").concat(formattedMinute));
        }
    }
    return steps;
}
exports.generateTimeSteps = generateTimeSteps;
//# sourceMappingURL=utils.js.map