import React from 'react';
export interface ButtonGroupProps {
    className?: string;
    size?: 'micro' | 'small' | 'medium' | 'large' | 'extra-large';
    dataGroups: Array<{
        buttonText: string;
        onClick?(): void;
        defaultActive?: boolean;
    }>;
    type?: 'default' | 'active-button';
}
export declare function PHXButtonGroup({ className, size, dataGroups, type }: ButtonGroupProps): React.JSX.Element;
