import React, { ReactNode } from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
import { FooterBarProps } from '../FormWrap';
export interface FormStepProps {
    className?: string;
    register?: UseFormRegisterReturn;
    steps?: Array<{
        step: number;
        title: string;
        status?: 'current' | 'complete' | 'upcoming';
        component: ReactNode;
        required?: boolean;
    }>;
    nextLabel: string;
    backLabel: string;
    formMode: 'addNew' | 'edit' | 'readOnly';
    onSubmit: any;
    size?: FooterBarProps['size'];
    title: FooterBarProps['title'];
    triggerStep?: Array<{
        step: number;
        onNext?: any;
        onBack?: any;
        isNext?: boolean;
        isBack?: boolean;
    }>;
    backRout: any;
    isLoading?: boolean;
    deleted?: boolean;
    onDelete?(): void;
}
export declare const PHXFormStep: React.FC<FormStepProps>;
