import { __awaiter, __generator } from "tslib";
import { getEnv } from '../../read-env-config';
export default function GetUserInfor(queryAction, idUser, token) {
    return __awaiter(this, void 0, void 0, function () {
        var uri, linkApi, bearToken, data, error_1;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    uri = getEnv('NEXT_PUBLIC_API', process.env.NEXT_PUBLIC_API);
                    linkApi = uri + '/graphql/rd/v1/graphql';
                    bearToken = "Bearer ".concat(token);
                    return [4 /*yield*/, queryAction({
                            context: {
                                linkApi: linkApi,
                                headers: {
                                    'Content-Type': 'application/json',
                                    Authorization: bearToken,
                                    'authorization-id': idUser
                                }
                            },
                            variables: {
                                userId: idUser
                            }
                        })];
                case 1:
                    data = (_a.sent()).data;
                    return [2 /*return*/, data];
                case 2:
                    error_1 = _a.sent();
                    console.log(error_1);
                    return [2 /*return*/, false];
                case 3: return [2 /*return*/];
            }
        });
    });
}
//# sourceMappingURL=getUserInfor.js.map