import { __assign, __awaiter, __generator } from "tslib";
import { INSERT_USER_ACTIVITY_MUTATION_V3 } from '../../query/userActivity/mutation';
import PHXFuncGetLoggedInfo from './getLoginInfo';
import PHXClientMutationV3 from './clientMutationV3';
function generatePayload(data, user_id, school_id) {
    return __assign(__assign({}, data), { school_id: school_id, user_id: user_id });
}
export var PHXLogUserActivityV3 = function (data) { return __awaiter(void 0, void 0, void 0, function () {
    var schoolInfo, userId, schoolId, payload, err_1;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                _a.trys.push([0, 2, , 3]);
                schoolInfo = PHXFuncGetLoggedInfo();
                userId = schoolInfo.id;
                schoolId = schoolInfo === null || schoolInfo === void 0 ? void 0 : schoolInfo.school_id;
                payload = generatePayload(data, userId, schoolId);
                return [4 /*yield*/, PHXClientMutationV3({ query: INSERT_USER_ACTIVITY_MUTATION_V3, variables: payload })];
            case 1: return [2 /*return*/, _a.sent()];
            case 2:
                err_1 = _a.sent();
                console.log(err_1);
                return [2 /*return*/, []];
            case 3: return [2 /*return*/];
        }
    });
}); };
//# sourceMappingURL=logUserActivityV3.js.map