import React from 'react';
import { IconName } from '../Dropdown';
interface DropDownOption {
    content?: string;
    icon?: IconName;
    iconOutline?: boolean;
    active?: boolean;
    destructive?: boolean;
    onClick?(): void;
}
export interface TableProps {
    addNewLoading?: boolean;
    exportLoading?: boolean;
    titleSize?: string;
    className?: string;
    title?: string;
    importData?: boolean;
    exportData?: boolean;
    disableImport?: boolean;
    disableExport?: boolean;
    addNew?: boolean;
    isCancel?: boolean;
    downloadText?: string;
    uploadText?: string;
    addNewText?: string;
    badge?: {
        badgeText?: string;
        badgeType?: string;
    } | any;
    type?: 'default' | 'title-with-badge';
    downloadButton?: {
        softButton?: boolean;
        dangerSoftButton?: boolean;
        secondaryButton?: boolean;
    };
    uploadButton?: {
        softButton?: boolean;
        dangerSoftButton?: boolean;
        secondaryButton?: boolean;
    };
    isDownLoadDropDown?: boolean;
    isUpLoadDropDown?: boolean;
    downLoadDropDownOption?: Array<DropDownOption>;
    upLoadDropDownOption?: Array<DropDownOption>;
    onCancel?(): void;
    onDownload?(): void;
    onUpload?(): void;
    onAdd?(): void;
    isDropdown?: boolean;
    dropdown?: {
        buttonContent?: string;
        optionTitle?: string;
        options?: Array<{
            content?: string;
            icon?: IconName;
            iconOutline?: boolean;
            active?: boolean;
            destructive?: boolean;
            onClick?(): void;
        }>;
        origin?: 'left' | 'right';
        type?: 'default' | 'icon-only' | 'date-picker' | 'ellipsis-icon';
        defaultDate?: string;
        max?: string;
        min?: string;
        startDisabled?: string;
        endDisabled?: string;
        disabledDate?: Array<string>;
        onChangeDate?(): void;
    };
    subTitle?: string;
}
export declare const PHXHeaderBar: ({ addNew, addNewLoading, addNewText, badge, className, disableExport, disableImport, downLoadDropDownOption, downloadButton, downloadText, exportData, exportLoading, importData, isCancel, isDownLoadDropDown, isUpLoadDropDown, onAdd, onCancel, onDownload, onUpload, title, titleSize, type, upLoadDropDownOption, uploadButton, uploadText, isDropdown, dropdown, subTitle, }: TableProps) => React.JSX.Element;
export {};
