import React from 'react';
import { PHXSpinner } from '../Loading';
export default function EmptySearchResult(_a) {
    var isSearchLoading = _a.isSearchLoading;
    console.log('isSearchLoading', isSearchLoading);
    return (React.createElement("div", { className: 'mt-2 rounded-[10px] border-[1px] bg-white shadow-gray-900' },
        React.createElement("div", { className: 'mt-3 h-[50px] text-center' }, !isSearchLoading ? (React.createElement("div", null,
            React.createElement("svg", { className: 'mx-auto h-4 w-4 text-gray-700', fill: 'none', stroke: 'currentColor', viewBox: '0 0 24 24', xmlns: 'http://www.w3.org/2000/svg' },
                React.createElement("path", { d: 'M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z', strokeLinecap: 'round', strokeLinejoin: 'round', strokeWidth: '2' })),
            React.createElement("h3", { className: 'mt-[2px] text-sm text-gray-700' }, "Kh\u00F4ng c\u00F3 d\u1EEF li\u1EC7u"))) : (React.createElement(PHXSpinner, null)))));
}
//# sourceMappingURL=EmptySearchResult.js.map