import React, { SelectHTMLAttributes } from 'react';
import { UseFormRegisterReturn } from 'react-hook-form';
import { ComplexAction } from '../types';
export interface SelectProps extends SelectHTMLAttributes<HTMLSelectElement> {
    className?: string;
    register?: UseFormRegisterReturn;
    children?: any;
    label?: string;
    helpText?: string;
    error?: boolean;
    errorType?: 'required-field' | 'duplicate-field';
    labelAction?: ComplexAction;
}
export declare const PHXSelect: React.FC<SelectProps>;
