import React from 'react';
import { PHXDropdown } from '../Dropdown';
var optionNumber = [150, 125, 100, 75, 50, 25, 10];
function PaginationSelected(_a) {
    var rowQuantity = _a.rowQuantity, setIsChangeRowQty = _a.setIsChangeRowQty, setRowQuantity = _a.setRowQuantity;
    var options = optionNumber.map(function (item) { return ({
        content: item + '',
        active: rowQuantity === item,
        onClick: function () {
            setRowQuantity(item);
            setIsChangeRowQty(true);
        }
    }); });
    return (React.createElement("div", { className: 'flex items-center gap-x-1' },
        React.createElement(PHXDropdown, { buttonContent: "".concat(rowQuantity), options: options, origin: 'top-left', type: 'soft-small' }),
        React.createElement("p", { className: 'text-xs' }, "b\u1EA3n ghi/trang")));
}
export default PaginationSelected;
//# sourceMappingURL=PaginaitonSelected.js.map