import React from 'react';
import { generateTimeSteps } from '../utils';
function Time(_a) {
    var _b = _a.step, step = _b === void 0 ? 30 : _b, onChangeTime = _a.onChangeTime;
    var timeSteps = generateTimeSteps(step);
    var handleChange = function (time) {
        if (onChangeTime) {
            onChangeTime(time);
        }
    };
    return (React.createElement("div", null,
        React.createElement("div", { className: 'bg-white py-2 px-3 rounded-lg shadow-lg w-full max-w-[20rem] h-[17rem] overflow-y-auto border border-gray-300 border-b-gray-400' }, timeSteps.map(function (item) { return (React.createElement("p", { onClick: function () { return handleChange(item); }, className: 'text-xs p-2 rounded-lg hover:bg-gray-100 cursor-pointer', key: item }, item)); }))));
}
export default Time;
//# sourceMappingURL=Time.js.map